<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="MetaModules|Pass the Hash">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><title>Pass the Hash&#160;MetaModule</title>
        
        <link href="../../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../../index.html#18-metamodules/pass-the-hash/pass-the-hash.html">Open topic with navigation</a>
        </p>
        <h1>Pass the Hash&#160;MetaModule</h1>
        <p>Pass the hash is an attack method that attempts to use a looted password hash to authenticate to a remote system. It enables you to use a raw hash, which means that you do not need to decrypt the hash or know the plain text password. This attack method makes it very easy to compromise other machines that share the same credentials.</p>
        <p>If you are able to obtain an NTLM password hash during your penetration test, you can run the Pass the Hash MetaModule. It attempts to use the Windows file and print sharing service, which operates over a protocol known as Server Message Block (SMB), to authenticate to other hosts in the network.</p>
        <p>In order to run the Pass the Hash MetaModule, you must have a looted credential pair that consists of a raw NTLM hash and the associated user name. A password hash can be obtained from a compromised host by running evidence collection, by manually browsing a file system to locate the Security Accounts Manager (SAM), or by dumping the password hashes. Once you have a valid credential pair, you only need to specify the target hosts that you want the MetaModule test the credentials against.</p>
        <p>During the MetaModule run, <span class="VariablesProductName">Metasploit Pro</span> displays real-time statistics for the number of hosts targeted, the number of login attempts made, and the number of successful logins. You can quickly identify the hosts that share the same login as the host from which you obtained the NTLM hash. You can leverage this information to  move laterally across the network or to escalate your privileges to gain access to higher value machines.</p>
        <p>When the MetaModule completes its run, it generates a complete report that provides the details for the hosts it was able to successfully authenticate. You can share this report with your organization to expose weak and shared passwords and to help mitigate vulnerabilities in its security infrastructure.</p>
        <h2>Running the Pass the Hash MetaModule</h2>
        <p>Before you can run the Pass the Hash MetaModule, you must either have a raw NTLM hash that you can manually input for the test or your project must contain an NTLM hash looted from a compromised system. </p>
        <ol>
            <li value="1">From within a project, select <b class="UISelection">Modules &gt; MetaModules</b>.<br /><br /><img src="../../Resources/Images/metamodules/pth-apps-tab-1_414x53.png" style="width: 414;height: 53;" /></li>
            <li value="2">Find the <b class="UISelection">Pass the Hash MetaModule</b> and click the <b class="UISelection">Launch</b> button. The Pass the Hash window appears.<br /><br /><img src="../../Resources/Images/metamodules/pnd-metamodule-1_346x202.png" style="width: 346;height: 202;" /></li>
            <li value="3">From the <b class="UISelection">Scope </b>tab, enter the target address range you want to use for the test in the <b class="UISelection">Address Range</b> field.<br /><br /><img src="../../Resources/Images/metamodules/pth-scope-1_306x218.png" style="width: 306;height: 218;" /></li>
            <li value="4">If there are any hosts that you want to blacklist from the test, click on the <b class="UISelection">Advanced</b> dropdown link and enter the addresses for those hosts in the <b class="UISelection">Excluded Addresses</b> field. </li>
            <li value="5">Click on the <b class="UISelection">Credentials</b> tab. The Credentials configuration form appears. <br /></li>
            <li value="6">Choose one of the following options to supply the MetaModule with a raw NTLM hash:<br /></li>
        </ol>
        <ul>
            <li class="indentedList" value="1"><b class="UISelection">Enter a known credential pair</b> - You need to manually enter the user name, and then enter the raw hash that you want the MetaModule to use. You should leave <code class="usertype">WORKGROUP</code> as the domain name in order to authenticate to the local machine.</li>
            <li class="indentedList" value="2"><b class="UISelection">Choose an existing SMB hash</b> - You can select a user name and hash from a list of looted password hashes that are stored in the project.<br /><br /><img src="../../Resources/Images/metamodules/pth-credentials-1_285x202.png" style="width: 285;height: 202;" /></li>
        </ul>
        <ol start="7">
            <li value="7">Click the <b class="UISelection">Generate Report</b> tab. The Report configuration form appears.<br /><br /><img src="../../Resources/Images/metamodules/pth-report-1_293x209.png" style="width: 293;height: 209;" /></li>
            <li value="8">Enter a name for the report in the <b class="UISelection">Report Name</b> field, if you want to use a custom report name.  Otherwise, the MetaModule uses the default report name.<br /><br /><img src="../../Resources/Images/metamodules/pth-report-name-1_236x47.png" style="width: 236;height: 47;" /></li>
            <li value="9">Choose whether you want to generate the report as a PDF, HTML, or RTF file.<br /><br /><img src="../../Resources/Images/metamodules/pth-report-type-1_308x41.png" style="width: 308;height: 41;" /></li>
            <li value="10">From the <b class="UISelection">Sections </b>area, deselect any sections you do not want to include in the report. Skip this step if you want to generate all the report sections.<br /><br /><img src="../../Resources/Images/metamodules/pth-report-sections-1_170x78.png" style="width: 170;height: 78;" /></li>
            <li value="11">From the <b class="UISelection">Options </b>area, select the <b class="UISelection">Mask discovered passwords</b> option if you want to obscure any password hashes that the report contains.<br /><br /><img src="../../Resources/Images/metamodules/pth-report-options-1_130x49.png" style="width: 130;height: 49;" /></li>
            <li value="12">Select the<b class="UISelection"> Email Report</b> option if you want to e-mail the report after it generates. If you enable this option, you need to supply a comma separated list of e-mail addresses.</li>
        </ol>
        <p class="NoteList" data-mc-autonum="&lt;b&gt;Note:&lt;/b&gt; &#160;"><span class="autonumber"><span><b>Note:</b> &#160;</span></span>If you want to e-mail a report, you must set up a local mail server or e-mail relay service for <span class="VariablesProductName">Metasploit Pro</span> to use. To define your mail server settings, select <b class="UISelection">Administration &gt; Global Settings &gt; SMTP Settings</b>.</p>
        <ol start="13">
            <li value="13">Click the <b class="UISelection">Launch</b> button.</li>
        </ol>
        <p>When the MetaModule launches, the Findings window appears and displays the real-time statistics and tasks log for the MetaModule run. You can track the total number of hosts that the MetaModule attempted to authenticate, the total number of login attempts, and the total number of successful logins. If you want to view all the event details, you can click on the Task Log tab.</p>
        <p>
            <img src="../../Resources/Images/metamodules/pnd-findings-1_398x222.png" style="width: 398;height: 222;" />
        </p>
        <p>After the MetaModule completes its run, you should go the Reports area to view the Pass the Hash Report. The first few pages of the report show graphs and tables that provide a high-level breakdown of cracked hosts and services.  For a more detailed look at the hosts, you can look at the Authenticated Services and Hosts Details section, which shows the services that were authenticated and the sessions that were opened on each host.</p>
    </body>
</html>